fop 1.1

## org.apache.fop.layoutmgr
Class LayoutManagerMapping.Maker

    java.lang.Object
      org.apache.fop.layoutmgr.LayoutManagerMapping.Maker

Direct Known Subclasses:
  LayoutManagerMapping.BasicLinkLayoutManagerMaker, LayoutManagerMapping.BidiOverrideLayoutManagerMaker, LayoutManagerMapping.BlockContainerLayoutManagerMaker, LayoutManagerMapping.BlockLayoutManagerMaker, LayoutManagerMapping.CharacterLayoutManagerMaker, LayoutManagerMapping.ExternalGraphicLayoutManagerMaker, LayoutManagerMapping.FootnodeLayoutManagerMaker, LayoutManagerMapping.FOTextLayoutManagerMaker, LayoutManagerMapping.InlineContainerLayoutManagerMaker, LayoutManagerMapping.InlineLayoutManagerMaker, LayoutManagerMapping.InstreamForeignObjectLayoutManagerMaker, LayoutManagerMapping.LeaderLayoutManagerMaker, LayoutManagerMapping.ListBlockLayoutManagerMaker, LayoutManagerMapping.ListItemLayoutManagerMaker, LayoutManagerMapping.PageNumberCitationLastLayoutManagerMaker, LayoutManagerMapping.PageNumberCitationLayoutManagerMaker, LayoutManagerMapping.PageNumberLayoutManagerMaker, LayoutManagerMapping.RetrieveMarkerLayoutManagerMaker, LayoutManagerMapping.TableLayoutManagerMaker, LayoutManagerMapping.WrapperLayoutManagerMaker

Enclosing class:
  LayoutManagerMapping

    public static class LayoutManagerMapping.Maker

extends java.lang.Object

a layout manager maker base class

Constructor Summary
`LayoutManagerMapping.Maker()`

Method Summary
`void` `make(FONode node, java.util.List lms)` Create a layout manager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayoutManagerMapping.Maker

    public LayoutManagerMapping.Maker()

Method Detail

### make

    public void make(FONode node,
                     java.util.List lms)

  Create a layout manager.

  Parameters:
    `node` - the associated FO node
    `lms` - a list of layout managers to which new manager is to be added

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.